API
Data API
Tasks
Methods allow you to get a list of portal tasks or information on a specific task.

Return a list of tasks.
Request example
GET /tasks
GET
https://instance_name/api/data/v1.0/tasks/
Header Parameters
- AuthorizationstringrequiredDescriptionString in "Token XXXXXX..." format.
Body Parameters
- limitIntegerDescriptionThe number of results to return per page.
- offsetIntegerDescriptionThe initial index from which to return the results.
curl
curl –i –X GET
https://test.eyrene.com/api/data/v1.0/tasks/
-H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’200
{
"count":45,
"next":null,
"previous":"https://test.eyrene.com/api/data/tasks/?limit=30&offset=30",
"results":[
{
"id":111,
"name":"Coffee home shelf",
"short_description":null,
"long_description":"",
"is_enabled":true,
"is_required":false
},
{
"id":125,
"name":"Required photo task",
"short_description":"I am a task, you know what to do",
"long_description":"Enjoy sea reveal brother fall owner. Speak pass heart she.\r\nCut piece purpose free opportunity around. Writer whether central improve point personal service. Only western physical another.",
"is_enabled":false,
"is_required":false
},
{
"id":152,
"name":"Required task",
"short_description":"I am a task, you know what to do",
"long_description":"Response school trial western. Ago phone develop. Attorney former management form time gas.\r\nRace this better perhaps child. Together many customer national without common your.",
"is_enabled":false,
"is_required":true
}"..."
]
}Response parameters​

count integer
The number of tasks.

next string (uri) Nullable
Next page.

previous string (uri) Nullable
Previous page.

results array of objects
An array of objects with information about manufacturers.
- id integer Task ID.
- name string [ 1 .. 255 ] characters Task name.
- short_description string <= 255 characters Nullable Task short description.
- long_description string Nullable Task full description.
- is_enabled boolean Task enabled or disabled.
- is_required boolean The required task to be completed.



Returns information about SKU by ID.
Request example
GET /sku/{id}
GET
https://instance_name/api/data/v1.0/tasks/{id}
Path Parameters
- idstringrequiredDescriptionTask ID.
Header Parameters
- AuthorizationstringrequiredDescriptionString in "Token XXXXXX..." format
curl
curl –i –X GET
https://test.eyrene.com/api/data/v1.0/tasks/125/
-H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’200
{
"id":125,
"name":"Required photo task",
"short_description":"I am a task, you know what to do",
"long_description":"Enjoy sea reveal brother fall owner. Speak pass heart she.\r\nCut piece purpose free opportunity around. Writer whether central improve point personal service. Only western physical another.",
"is_enabled":false,
"is_required":false
}Response parameters


id integer
Task ID.

name string [ 1 .. 255 ] characters
Task name.

short_description string <= 255 characters Nullable
Task short description.

long_description string Nullable
Task full description.

is_enabled boolean
Task enabled or disabled.

is_required boolean
The required task to be completed.